Subject: Re: [Bugme-new] [Bug 11144] New: dhcp doesn't work with iwl4965

From: Patrick McHardy <[email-masked]>
Date: Tue, 22 Jul 2008 12:52:20 +0200

Andrew Morton wrote:
> (switched to email.  Please respond via emailed reply-to-all, not via the
> bugzilla web interface).
> 
> On Tue, 22 Jul 2008 03:21:33 -0700 (PDT) [email-masked] wrote:
> 
>> http://bugzilla.kernel.org/show_bug.cgi?id=11144
>>
>>            Summary: dhcp doesn't work with iwl4965

>> Latest working kernel version: 2.6.26-git6
>> Earliest failing kernel version: 2.6.26-git7
> 
> A very fresh regression.
> 
>> Distribution: Gentoo
>> Hardware Environment: Packard Bell MB86, iwl4965
>> Software Environment: dhcpcd
>> Problem Description: 
>> I can't get an IP address via DHCP with my wireless connection. I have an Intel
>> Wireless 4965 card and I use WPA personal with AES encryption. After a
>> git-bisect run, it seems the first bad commit is the following:
>>
>> commit 175f9c1bba9b825d22b142d183c9e175488b260c
>> Author: Jussi Kivilinna <[email-masked]>
>> Date:   Sun Jul 20 00:08:47 2008 -0700
>>
>>     net_sched: Add size table for qdiscs
>>
>>     Add size table functions for qdiscs and calculate packet size in
>>     qdisc_enqueue().
>>

This implies you're running shaping on your WLAN device. Please
post the rules you're using.